#!/usr/bin/tclsh
set result_file $env(STARTUP)
set fid [open $result_file w]

puts $fid {#!/bin/sh

#       ------------------------------
#
#       RAGMAAN startup script 
#}

puts -nonewline $fid "#       generated "
exec date >@ $fid
puts $fid "#       by $argv0"
puts $fid {#
#       ------------------------------
} 

puts $fid "RM_TOP_DIR=$env(TOP_DIR)"
puts $fid "RM_WISH=$env(WISH)"

if  {[info exists env(EXPLICIT_RESOURCE_READ)]} {

	puts $fid "RM_HARD_ARGS=\"-name ragmaan -- -explicit_resources\""

} else {

	puts $fid "RM_HARD_ARGS=\"-name ragmaan --\""

}
puts $fid "RM_BIN_PATH=\$\{RM_TOP_DIR\}$env(BIN_PREFIX)"
puts $fid "RM_LIB_PATH=\$\{RM_TOP_DIR\}$env(LIB_PREFIX)"
puts $fid "RM_DB_PATH=\$\{RM_TOP_DIR\}$env(DB_PREFIX)"
puts $fid "RM_DB=$env(DB)"
puts $fid "RM_LIB=\$\{RM_TOP_DIR\}$env(LIB_PREFIX)$env(LIB_NAME)" 
puts $fid "RM_SERVER=\$\{RM_BIN_PATH\}$env(SERVER_NAME)"
puts $fid "RM_GZIP_EXE=$env(GZIP_EXE)"
puts $fid {RM_DEFAULT_DATABASE=${RM_DB_PATH}${RM_DB}}
puts $fid "export RM_LIB_PATH"
puts $fid "export RM_DB_PATH"
puts $fid "export RM_DB"
puts $fid "export RM_LIB"
puts $fid "export RM_SERVER"
puts $fid "export RM_GZIP_EXE"
puts $fid "export RM_DEFAULT_DATABASE"
puts $fid {exec $RM_WISH -f $RM_LIB_PATH/ragmaan.tcl $RM_HARD_ARGS $*}
close $fid
exec chmod +x $result_file
