/*
   "server_commands.h" - part of "RAGMAAN, een anagrammengenerator"

   Copyright (C) 1999 Raymond Zandbergen

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   The maintainer of this program is Raymond Zandbergen (ray@wirehub.nl)
 */

#ifndef	SERVER_COMMANDS_H
#define SERVER_COMMANDS_H
#define	SERVER_CMD_LENGTH	(750)
#define	CMD_CACHE_SYNC	(100)
#define	CMD_EXPAND	(101)
#define	CMD_FILTER	(102)
#define	CMD_LOAD	(103)
#define	CMD_QUIT	(104)
#define	CMD_REVERSE	(105)
#define	CMD_SEARCH	(106)
#define	CMD_SETTIMEOUT	(107)
#define	CMD_SORT	(108)
#define	CMD_STATUS	(109)

struct CMD_S
  {
    int new;			/* command is valid    */
    int cmd;			/* CMD_xxx             */
    int int_arg1;
    int int_arg2;
    char string_arg1[SERVER_CMD_LENGTH];
  };

typedef struct CMD_S CMD_T;

struct REPLY_S
  {
    int int_reply;
    int error;			/* boolean */
    char string_reply[SERVER_CMD_LENGTH];
  };

typedef struct REPLY_S REPLY_T;
#endif
